<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" tests="5" skipped="0" failures="0" errors="0" timestamp="2026-07-04T07:03:18.262Z" hostname="devserver3.ustadmobile.com" time="1.868">
  <properties/>
  <testcase name="givenStatementInserted_whenVoided_thenShouldNotShowUp[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="0.284"/>
  <testcase name="givenStatement_whenConvertedToEntitiesAndBack_thenShouldMatch[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="0.049"/>
  <testcase name="givenStatement_whenStoredAndRetrieved_thenShouldMatch[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="1.265"/>
  <testcase name="givenAssignmentAndCompletionStatementsMade_whenGetProgressCalled_thenSummariesShouldMatch[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="0.178"/>
  <testcase name="givenStatementPosted_whenAnotherStatementPostedWithSameId_thenShouldThrowConflictError[jvm]" classname="world.respect.datalayer.db.school.xapi.XapiStatementsResourceDbTest" time="0.089"/>
  <system-out><![CDATA[]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
